Subject: Re: bug#31094: 25.2: Feature Reuqest: apropos-value: limit scope [CODE INCLUDED]

From: Michael Heerdegen <[email-masked]>
Date: Tue, 25 Jan 2022 03:06:18 +0100

Boruch Baum <[email-masked]> writes:

> Some of this can be reduced when considegring that in most cases, I know
> in advance that a value will be present in some very commonly used huge
> variables, that won't be of use to me (eg. kill-ring,
> minibuffer-history).

If you are interested in alternative approaches:

In my config I have added a query for a maximal length of the (printed)
value.  0 means "use any", but a positive value filters all variables
with bindings wider than the given limit.

I chose this way because typically you get lots of results, too many to
view them one by one, so most of the time I use isearch to find the
stuff I'm interested in.  With a folding approach, the output looks
nicer, but it still contains a lot of stuff I'm surely not interested
in.  Most of the time these huge list values are irrelevant for what you
are searching for.

Michael.